CRL (Java Platform SE 8 )
Keywords: java.security.cert.CRL class
Date: 2020-03-26

compact1, compact2, compact3
java.security.cert

## Class CRL

- java.lang.Object
- - java.security.cert.CRL

- Direct Known Subclasses:
    X509CRL

      public abstract class CRL
      extends Object

  This class is an abstraction of certificate revocation lists (CRLs) that have different formats but important common uses. For example, all CRLs share the functionality of listing revoked certificates, and can be queried on whether or not they list a given certificate.

  Specialized CRL types can be defined by subclassing off of this abstract class.

  Since:
    1.2
  See Also:
    `X509CRL`, `CertificateFactory`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CRL(String type)` Creates a CRL of the specified type.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()` Returns the type of this CRL.
    `abstract boolean` | `isRevoked(Certificate cert)` Checks whether the given certificate is on this CRL.
    `abstract String` | `toString()` Returns a string representation of this CRL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CRL

          protected CRL(String type)

      Creates a CRL of the specified type.
      Parameters:
        `type` - the standard name of the CRL type. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard CRL types.

  - ### Method Detail

    - #### getType

          public final String getType()

      Returns the type of this CRL.
      Returns:
        the type of this CRL.

    - #### toString

          public abstract String toString()

      Returns a string representation of this CRL.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this CRL.

    - #### isRevoked

          public abstract boolean isRevoked(Certificate cert)

      Checks whether the given certificate is on this CRL.
      Parameters:
        `cert` - the certificate to check for.
      Returns:
        true if the given certificate is on this CRL, false otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.